%  sprtwo3.m
% Matlab file for Part 3 of the Forced Springs module

disp('********************************************')
disp('Part 3:  Resonance ')
disp('********************************************')
disp('  ')    

    format short

    disp('-----------------------------------------------')
    disp('Step 1: ')
    disp('Change w to get closer and closer to k')
    disp('and replot the solution y(t) and the ')
    disp('trajectory in the phase plane.')
    T=0:0.02:40;
    disp(' ')
    disp('Enter:')
    disp(' ')
    disp(' w=? ')
    disp(' y=subs(ysol)')
    disp(' figure(1); clf ')
    disp(' ezplot(y,[0,40]) ')
    disp(' yp=diff(y) ')
    disp(' yT=double( subs(y,t,T) ); ')
    disp(' ypT=double( subs(yp,t,T) ); ')
    disp(' figure(2); clf  ')
    disp(' plot(yT,ypT,''r'') ')
    disp(' axis equal')
    disp(' ')
    disp('-----------------------------------------------')
    disp('Answer the questions about the behavior ')
    disp('of the solutions as w approaches k. ')
    disp('Use MATLAB comments in your diary file.')
    disp(' ') 
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 2: ')
    disp('Let''s set w=k and find the symbolic solution')
    disp('of the initial value problem: ')
    disp(' ')
    disp(' y'''' + k^2*y = f)*cos(k*t), y(0)=0, y''(0)=0')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp(' ysol=dsolve(''D2y+k^2*y=F0*cos(k*t)'',''y(0)=0'',''Dy(0)=0'') ')
    disp(' ysol=simple(ysol) ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('-----------------------------------------------')
    disp('Step 3: ')
    disp('We find the solution y(t when k=5 and F0=1.')
    disp('Then we plot the solution y(t) and the ')
    disp('trajectory in the phase plane.')
    disp(' ')
    disp('Enter:')
    disp(' ')
    disp(' k=5;')
    disp(' F0=1;')
    disp(' y=subs(ysol)')
    disp(' figure(1); clf ')
    disp(' ezplot(y,[0,40]) ')
    disp(' yp=diff(y) ')
    disp(' yT=double( subs(y,t,T) ); ')
    disp(' ypT=double( subs(yp,t,T) ); ')
    disp(' figure(2); clf  ')
    disp(' plot(yT,ypT,''r'') ')
    disp(' axis equal')
    disp(' ')
    disp('-----------------------------------------------')
    disp('Answer the questions about the behavior ')
    disp('of the solution. ')
    disp('Use MATLAB comments in your diary file.')
    disp(' ') 
    disp(' ')
    disp('-------------------------------------------- ')
    disp('When you are ready to go on to part 4 ')
    disp('of this module, type: sprtwo4.')
    disp(' ')
